OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_LevelFunction Class Reference

defines LevelFunction, Type <406> Form <3>
in package IGESAppli
Used to transfer the meaning or intended use of a level
in the sending system

`#include <IGESAppli_LevelFunction.hxx>`

Inheritance diagram for IGESAppli_LevelFunction:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_LevelFunction ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Integer aCode, const Handle(TCollection_HAsciiString)&aFuncDescrip)
| This method is used to set the fields of the class LevelFunction - nbPropVal : Number of Properties, always = 2 - aCode : Function Description code default = 0 - aFuncDescrip : Function Description default = null string .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| is always 2
Standard_EXPORT Standard_Integer | FuncDescriptionCode () const
| returns the function description code . Default = 0
Standard_EXPORT Handle_TCollection_HAsciiString | FuncDescription () const
| returns the function description Default = null string
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Standard_Integer | theFuncDescripCode
Handle_TCollection_HAsciiString | theFuncDescrip

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_LevelFunction::IGESAppli_LevelFunction | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_LevelFunction::FuncDescription | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LevelFunction::FuncDescriptionCode | ( |  | ) | const

Standard_EXPORT const IGESAppli_LevelFunction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_LevelFunction::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Integer | aCode,
|  | const Handle(TCollection_HAsciiString)& | aFuncDescrip
| ) |

Standard_EXPORT Standard_Integer IGESAppli_LevelFunction::NbPropertyValues | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESAppli_LevelFunction::theFuncDescrip`[private]`

Standard_Integer IGESAppli_LevelFunction::theFuncDescripCode`[private]`

Standard_Integer IGESAppli_LevelFunction::theNbPropertyValues`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_LevelFunction.hxx